Foreman - Bug #15975

subnets/_fields partial depends on @subnet instance variable
08/04/2016 04:29 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Rails
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3702
Description

The subnets/_fields partial has a reference to the @subnet instance variable which makes it harder to reuse the partial in a nested
form from a plugin (foreman_setup). Using f.object to refer to the object being rendered is more robust as it doesn't assume how the
controller works.

This fixes the following error rendering the form in foreman_setup:

ActionView: :Template: :Error: undefined method “type' for nil:NilClass
app/views/subnets/_fields.html.erb:10:in " _app_views_subnets_ fields_html_erb_ 172584428900089
411_67260780"
/var/lib/workspace/workspace/test_plugin_matrix/database/sqlite3/ruby/2.3/slave/fast/plugin/ap
p/views/foreman_setup/provisioners/_step2.html.erb:15:in "block (2 levels) in __var_lib_workspace_
workspace_test_plugin_matrix_database_sqglite__ruby slave_fast_plugin_app_views_foreman_setup_p
rovisioners__step_ _html_erb_ 3389724422021272400_78104880"
/var/lib/workspace/workspace/test_plugin_matrix/database/sqlite3/ruby/2.3/slave/fast/plugin/ap
p/views/foreman_setup/provisioners/_step2.html.erb:14:in ‘block in _ var_lib_workspace_workspace_t
est_plugin_matrix_database_sqglite__ruby slave_fast_plugin_app_views_foreman_setup_provisioners
__step__html_erb_ 3389724422021272400_78104880"'
app/helpers/form_helper.rb:258:in "~ form_for'
/var/lib/workspace/workspace/test_plugin_matrix/database/sqglite3/ruby/2.3/slave/fast/plugin/ap
p/views/foreman_setup/provisioners/_step2.html.erb:2:in *_ var_lib_workspace_workspace_test_plugin

_matrix_database_sqglite__ruby slave_fast_plugin_app_views_foreman_setup_provisioners__step__ht
ml_erb_ 3389724422021272400_78104880"
/var/lib/workspace/workspace/test_plugin_matrix/database/sqlite3/ruby/2.3/slave/fast/plugin/ap
p/views/foreman_setup/provisioners/step2.html.erb:3:in "_ _var_lib_workspace_workspace_test_plugin_
matrix_database_sqglite__ruby slave_fast_plugin_app_views_foreman_setup_provisioners_step__html
_erb_ 4171811634289270913_70611380"
app/controllers/concerns/application_shared.rb:14:in “~set_timezone'
app/models/concerns/foreman/thread_session.rb:32:in “clear_thread’
/var/lib/workspace/workspace/test_plugin_matrix/database/sqlite3/ruby/2.3/slave/fast/plugin/te
st/functional/foreman_setup/provisioners_controller_test.rb:53:in ‘block in <class:ProvisionersCon
trollerTest>' (ActionView::Template::Error)
/var/lib/workspace/workspace/test_plugin_matrix/database/sqlite3/ruby/2.3/slave/fast/foreman/app/v
iews/subnets/_fields.html.erb:10

Related issues:
Related to Foreman - Feature #14666: Add IPv6 to Ul Closed 04/15/2016

Associated revisions

Revision a152c24d - 08/04/2016 05:28 AM - Dominic Cleal

fixes #15975 - replace instance variable ref in subnet partial

History

#1 - 08/04/2016 04:30 AM - Dominic Cleal
- Related to Feature #14666: Add IPv6 to Ul added

#2 - 08/04/2016 04:31 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3702 added

#3 - 08/04/2016 05:31 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 08/04/2016 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a152c24d38b1b92b95ba07baa0b56e34741f41f5.
